package nckd.jxccl.base.common.schedule;

/**
* 进度回调接口
* @author W.Y.C
* @date 2025/7/12 18:02
* @version 1.0
*/
public interface ProgressCallback {

    /**
     * 每处理完一个元素时调用
     * @param processedCount 已处理的元素数量
     * @return: void
     * @author W.Y.C
     * @date: 2025/07/12 18:02
     */
    void onProgress(int processedCount);
}